# frozen_string_literal: true

class ApplicationController < ActionController::Base
  helper_method :current_user, :logged_in?
  include Pagy::Backend

  def require_login
    redirect_to login_url if current_user.blank?
  end

  def current_user
    session[:user_id] && User.find_by(id: session[:user_id])
  end

  def logged_in?
    current_user.present?
  end
end
