# frozen_string_literal: true

class SubmissionAppendJob < ApplicationJob
  queue_as :default

  rescue_from(Signet::AuthorizationError, Google::Apis::AuthorizationError) do |_exception|
    submission_id = arguments.first
    Rails.logger.error("AuthorizationError during SubmissionAppend: submission_id=#{submission_id}")
    submission = Submission.find(submission_id)
    submission.form.deactivate!('AuthorizationError')
  end

  def perform(*args)
    submission_id = args.first
    submission = Submission.find(submission_id)
    submission.append_to_spreadsheet
  end
end
