# frozen_string_literal: true

class SorceryCore < ActiveRecord::Migration[6.0]
  def change
    add_column :users, :crypted_password, :string
    add_column :users, :salt, :string
    add_column :users, :magic_login_token, :string
    add_column :users, :magic_login_token_expires_at, :datetime
    add_column :users, :magic_login_email_sent_at, :datetime

    add_column :authentications, :provider, :string, null: false
    add_column :authentications, :uid, :string, null: false

    add_index :users, :magic_login_token
    add_index :users, :email, unique: true
  end
end
